<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/5/9
 * Time: 下午 05:35
 */

namespace App\Services\BimView;


use Illuminate\Support\Facades\Http;

class BimViewService
{
    public function bimView(){
        $http=$this->getHttp('application/json');
        $getTreeByIdResponse=$http->post('http://106.52.199.205:9012/blackHole3D/project/modelTree/getTreeById',[
            "projId"=>'3a126eb4-979a-842c-70e6-3813f002cca1'
        ]);
        $getTree=$getTreeByIdResponse->json();
        $nodeId=$getTree['data']['subNodes'][0]['nodeId'];

        $filehttp=$this->getFileHttp('multipart/form-data');
        $getModelFileResponse=$filehttp->post('http://106.52.199.205:9012/blackHole3D/project/modelFile/create',[ 'multipart' => [
            "projId"=>'3a126eb4-979a-842c-70e6-3813f002cca1',
            "DataSetId"=>$nodeId,
            "FileName"=>"WDGC-Q-PL-B01-ASS_v2.rvt",
            "FileSize"=>"32",
            "Scheme"=>"file",
            "BlobCount"=>1,
            "BlobSize"=>32,
            "UploadWay"=>0
        ]]);
        dd($getModelFileResponse->json());
        return $getTreeByIdResponse;
    }
    protected function getHttp(string $accpt){
        $http=Http::accept($accpt)->withHeaders([
            // 其他必要的头部信息
            'ClientId' => 'test',
            'SecretKey' => 'tROsEGDQ9zp7qEGJCtb5tQ==',
            'UserId' => '3a095fd2-4134-8db1-5527-f950a48174b7',
        ]);
        return $http;
    }

    protected function getFileHttp(string $accpt){
        $http=Http::accept($accpt)->withHeaders([
            // 其他必要的头部信息
            'ClientId' => 'test',
            'SecretKey' => 'tROsEGDQ9zp7qEGJCtb5tQ==',
            'UserId' => '3a095fd2-4134-8db1-5527-f950a48174b7',
            'fileUploadScheme'=>"Bim",
            'fileUploadMode'=>"ResumableCreate"
        ]);
        return $http;
    }

}
